#        name: absolute directory name
# description: regular expressions matching an absolute pathname to a directory
#      author: Kai Burghardt <hackerman​@﻿Kai﻿Burghardt​.﻿de>
#   copyright: public domain, fall back to Creative Commons license zero

type Standard::AbsoluteDirectoryName = Pattern[
		# This matches `'/.'`:
		'\A/\.\z',
		# This matches anything else starting with `'/'` and ending with `'/.'`:
		'\A/[^\0\/][^\0]*/\.\z'
	]
