#        name: Internet Protocol version 4 network mask
# description: an IPv4 network mask
#      author: Kai Burghardt <hackerman​@﻿Kai﻿Burghardt​.﻿de>
#   copyright: public domain, fall back to Creative Commons license zero

type Standard::InternetProtocolVersion4networkMask = Variant[
		Integer[0xFFFFFFFF, 0xFFFFFFFF],
		Integer[0xFFFFFFFE, 0xFFFFFFFE],
		Integer[0xFFFFFFFC, 0xFFFFFFFC],
		Integer[0xFFFFFFF8, 0xFFFFFFF8],
		Integer[0xFFFFFFF0, 0xFFFFFFF0],
		Integer[0xFFFFFFE0, 0xFFFFFFE0],
		Integer[0xFFFFFFC0, 0xFFFFFFC0],
		Integer[0xFFFFFF80, 0xFFFFFF80],
		Integer[0xFFFFFF00, 0xFFFFFF00],
		Integer[0xFFFFFE00, 0xFFFFFE00],
		Integer[0xFFFFFC00, 0xFFFFFC00],
		Integer[0xFFFFF800, 0xFFFFF800],
		Integer[0xFFFFF000, 0xFFFFF000],
		Integer[0xFFFFE000, 0xFFFFE000],
		Integer[0xFFFFC000, 0xFFFFC000],
		Integer[0xFFFF8000, 0xFFFF8000],
		Integer[0xFFFF0000, 0xFFFF0000],
		Integer[0xFFFE0000, 0xFFFE0000],
		Integer[0xFFFC0000, 0xFFFC0000],
		Integer[0xFFF80000, 0xFFF80000],
		Integer[0xFFF00000, 0xFFF00000],
		Integer[0xFFE00000, 0xFFE00000],
		Integer[0xFFC00000, 0xFFC00000],
		Integer[0xFF800000, 0xFF800000],
		Integer[0xFF000000, 0xFF000000],
		Integer[0xFE000000, 0xFE000000],
		Integer[0xFC000000, 0xFC000000],
		Integer[0xF8000000, 0xF8000000],
		Integer[0xF0000000, 0xF0000000],
		Integer[0xE0000000, 0xE0000000],
		Integer[0xC0000000, 0xC0000000],
		Integer[0x80000000, 0x80000000],
		Integer[0x00000000, 0x00000000],
	]
