#        name: line
# description: regular expression matching a line as per POSIX™ definition
#      author: Kai Burghardt <hackerman​@﻿Kai﻿Burghardt​.﻿de>
#   copyright: public domain, fall back to Creative Commons license zero

# Without the `m` option (e. g. as in `/\A(?m:.)*\n\z/`) the dot does not match newline characters.
# See https://www.puppet.com/docs/puppet/latest/lang_data_regexp#regex-options
type Standard::Line = Pattern[/\A.*\n\z/]
