#        name: Internet Protocol version 4 prefixed address
# description: an IPv4 prefixed address
#      author: Kai Burghardt <hackerman​@﻿Kai﻿Burghardt​.﻿de>
#   copyright: public domain, fall back to Creative Commons license zero

# A Tuple[address, mask] has been considered, too, but decided against because it could hide the meaning of numbers.
type Standard::InternetProtocolVersion4networkEntry = Struct[
		{
			host_identifier                      => Standard::InternetProtocolVersion4address,
			network_prefix                       => Standard::InternetProtocolVersion4networkMask,
		}
	]
