#        name: normalized portable absolute pathname
# description: regular expression matching a normalized portable absolute pathname
#      author: Kai Burghardt <hackerman​@﻿Kai﻿Burghardt​.﻿de>
#   copyright: public domain, fall back to Creative Commons license zero

# * must start with a slash
# * must not start with exactly two slashes
# * every other occurrence of a slash is not followed by another slash
type Standard::NormalizedPortableAbsolutePathname = Pattern['\A/([/]{2,})?\z', '\A([/]{2,})?(/[A-Za-z0-9._\-]+)+\z']
