#        name: portable absolute directory name
# description: regular expressions matching a portable absolute pathname to a directory
#      author: Kai Burghardt <hackerman​@﻿Kai﻿Burghardt​.﻿de>
#   copyright: public domain, fall back to Creative Commons license zero

type Standard::PortableAbsoluteDirectoryName = Pattern[
		# This matches `'/.'`:
		'\A/\.\z',
		# This matches anything else starting with `'/'` and ending with `'/.'`:
		'\A/[A-Za-z0-9._\-]+[A-Za-z0-9._\-/]*/\.\z'
	]
