#        name: system error log facility
# description: matches a symbolic constant for a valid system error log facility
#      author: Kai Burghardt <hackerman​@﻿Kai﻿Burghardt​.﻿de>
#   copyright: public domain, fall back to Creative Commons license zero

type Standard::SystemErrorLogFacility = Enum[
		'LOG_KERN',
		'LOG_USER',
		'LOG_MAIL',
		'LOG_NEWS',
		'LOG_UUCP',
		'LOG_DAEMON',
		'LOG_AUTH',
		'LOG_CRON',
		'LOG_LPR',
		'LOG_LOCAL0',
		'LOG_LOCAL1',
		'LOG_LOCAL2',
		'LOG_LOCAL3',
		'LOG_LOCAL4',
		'LOG_LOCAL5',
		'LOG_LOCAL6',
		'LOG_LOCAL7',
	]
