#        name: system error log priority
# description: matches a symbolic constant for a valid system error log priority
#      author: Kai Burghardt <hackerman​@﻿Kai﻿Burghardt​.﻿de>
#   copyright: public domain, fall back to Creative Commons license zero

type Standard::SystemErrorLogPriority = Enum[
		'LOG_EMERG',
		'LOG_ALERT',
		'LOG_CRIT',
		'LOG_ERR',
		'LOG_WARNING',
		'LOG_NOTICE',
		'LOG_INFO',
		'LOG_DEBUG',
	]
